import request from "@/utils/httpRequest";
import { FLOW_PATH as prefix } from "../AppPath";

export default {
  list: function (params) {
    return request({
      url: prefix + '/flowable/notice/list',
      method: 'get',
      params: params
    })
  },

  addInfo: function (params) {
    return request({
      url: prefix + '/flowable/notice/add',
      method: 'get',
      params: params
    })
  },

  update: function (params) {
    return request({
      url: prefix + '/flowable/notice/update',
      method: 'get',
      params: params
    })
  },

  stockUpdate: function (params) {
    return request({
      url: prefix + '/flowable/notice/stockUpdate',
      method: 'get',
      params: params
    })
  },

  portionRead: function (ids) {
    return request({
      url: prefix + '/flowable/notice/portionRead',
      method: 'post',
      params: {ids: ids}
    })
  },

  readAll: function () {
    return request({
      url: prefix + '/flowable/notice/readAll',
      method: 'post'
    })
  }
}
